aboutsummaryrefslogtreecommitdiff
path: root/opal-ci
diff options
context:
space:
mode:
authorFrederic Barrat <fbarrat@linux.ibm.com>2022-05-06 16:48:06 +0200
committerReza Arbab <arbab@linux.ibm.com>2022-05-09 15:04:06 -0500
commit04d175c03afdd06ebe9219d7cdbf099011df1b15 (patch)
tree2eef4e88f0b211937d3d3a80378a99dbdf4be3e7 /opal-ci
parent439a4c95b913922f82a421a58585594c3b70933e (diff)
downloadskiboot-04d175c03afdd06ebe9219d7cdbf099011df1b15.zip
skiboot-04d175c03afdd06ebe9219d7cdbf099011df1b15.tar.gz
skiboot-04d175c03afdd06ebe9219d7cdbf099011df1b15.tar.bz2
CI: Add testing on Ubuntu 22.04 LTS
New LTS release from Canonical. So let's split it from ubuntu-rolling, which will keep tracking the latest. Signed-off-by: Frederic Barrat <fbarrat@linux.ibm.com> Signed-off-by: Reza Arbab <arbab@linux.ibm.com>
Diffstat (limited to 'opal-ci')
-rw-r--r--opal-ci/Dockerfile-ubuntu-22.0410
-rwxr-xr-xopal-ci/build-ubuntu-22.04.sh31
2 files changed, 41 insertions, 0 deletions
diff --git a/opal-ci/Dockerfile-ubuntu-22.04 b/opal-ci/Dockerfile-ubuntu-22.04
new file mode 100644
index 0000000..f9f09e9
--- /dev/null
+++ b/opal-ci/Dockerfile-ubuntu-22.04
@@ -0,0 +1,10 @@
+FROM ubuntu:22.04
+ENV DEBIAN_FRONTEND noninteractive
+RUN apt-get update -qq
+RUN if [ `arch` != "ppc64le" ]; then apt-get install -y gcc-powerpc64le-linux-gnu; fi
+RUN apt-get install -y gcc-arm-linux-gnueabi || true
+RUN apt-get install -y gcc ccache expect libssl-dev wget curl xterm device-tree-compiler build-essential gcc python3 g++ pkg-config libz-dev libglib2.0-dev libpixman-1-dev libfdt-dev git libstdc++6 valgrind libtcl8.6 libmbedtls-dev
+RUN if [ `arch` = "x86_64" ]; then curl -O http://public.dhe.ibm.com/software/server/powerfuncsim/p9/packages/v1.1-0/systemsim-p9-1.1-0-trusty_amd64.deb; dpkg -i systemsim-p9-1.1-0-trusty_amd64.deb; fi
+RUN if [ `arch` = "x86_64" ]; then curl -O http://public.dhe.ibm.com/software/server/powerfuncsim/p10/packages/v1.2-1/ubuntu2004/systemsim-p10_1.2-1_amd64.deb; dpkg -i systemsim-p10_1.2-1_amd64.deb; fi
+COPY . /build/
+WORKDIR /build
diff --git a/opal-ci/build-ubuntu-22.04.sh b/opal-ci/build-ubuntu-22.04.sh
new file mode 100755
index 0000000..ba070b4
--- /dev/null
+++ b/opal-ci/build-ubuntu-22.04.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(nproc)
+
+export CROSS="ccache powerpc64le-linux-gnu-"
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+# because some ppc64le versions don't have arm cross compiler
+if which arm-linux-gnueabi-gcc; then
+ ( cd external/pflash;
+ echo "Building for ARM..."
+ make clean && make distclean
+ CROSS_COMPILE=arm-linux-gnueabi- make || { echo "ARM build failed"; exit 1; }
+ )
+fi
+(cd external/pflash; make clean && make distclean && make)
+make clean
+SKIBOOT_GCOV=1 make -j${MAKE_J}
+SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean